Package ru.bitel.bgbilling.modules.cerbercrypt.server.event

# Class ChangePacketSubscriptionEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.cerbercrypt.server.event.ChangePacketSubscriptionEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

Direct Known Subclasses:
  `ClosePacketSubscriptionEvent`, `OpenPacketSubscriptionEvent`

public abstract class ChangePacketSubscriptionEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Синхронное событие - выполнение открытия/закрытия пакета через Web.
Общий предок для отдельных событий open и close. Унаследован от `LocalEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ChangePacketSubscriptionEvent()`
  ``
  `ChangePacketSubscriptionEvent(int userId, int moduleId, int contractId, UserCard userCard, Packet packet, Date fromDate)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getError()`
  Возвращает ошибку, установленную скриптом.
  `Date`
  `getFromDate()`
  Возвращает дату, с которой производится открытие/закрытие.
  `String`
  `getMessage()`
  Возвращает сообщение, установленное скриптом.
  `Packet`
  `getPacket()`
  Возвращает тариф Packet.
  `UserCard`
  `getUserCard()`
  Возвращает UserCard.
  `boolean`
  `isProcessed()`
  Возвращает признак обработанности события скриптом.
  В этом случае штатное действие не выполняется.
  `void`
  `setError(String error)`
  Установка ошибки скриптом.
  `void`
  `setMessage(String message)`
  Установка сообщения скриптом.
  `void`
  `setProcessed(boolean processed)`
  Установка флага обработанности события скриптом.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangePacketSubscriptionEvent

    protected ChangePacketSubscriptionEvent()

  - ### ChangePacketSubscriptionEvent

    public ChangePacketSubscriptionEvent(int userId, int moduleId, int contractId, UserCard userCard, Packet packet, Date fromDate)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `moduleId` - - код модуля
      `contractId` - - код договора
      `userCard` - - карта пользователя
      `packet` - - пакет
      `fromDate` - - с какой даты начать новый тариф

- ## Method Details

  - ### getUserCard

    public UserCard getUserCard()
    Возвращает UserCard.
    Returns:
      userCard - карта пользователя

  - ### getPacket

    public Packet getPacket()
    Возвращает тариф Packet.
    Returns:
      packet - пакет

  - ### isProcessed

    public boolean isProcessed()
    Возвращает признак обработанности события скриптом.
    В этом случае штатное действие не выполняется.
    Returns:
      processed - признак:
  - true - обработано
  - false - не обработано

- ### setProcessed

  public void setProcessed(boolean processed)
  Установка флага обработанности события скриптом.
  Parameters:
    `processed` - - флаг

- ### getMessage

  public String getMessage()
  Возвращает сообщение, установленное скриптом.
  Returns:
    message - сообщение

- ### setMessage

  public void setMessage(String message)
  Установка сообщения скриптом.
  Parameters:
    `message` - - сообщение

- ### getError

  public String getError()
  Возвращает ошибку, установленную скриптом.
  Specified by:
    `getError` in interface `ErrorReturnableEvent`
  Overrides:
    `getError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`
  Returns:
    error - ошибка

- ### setError

  public void setError(String error)
  Установка ошибки скриптом.
  Specified by:
    `setError` in interface `ErrorReturnableEvent`
  Overrides:
    `setError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`
  Parameters:
    `error` - - ошибка

- ### getFromDate

  public Date getFromDate()
  Возвращает дату, с которой производится открытие/закрытие.
  Returns:
    fromDate - дата